Skip to main content
`Ctrl`+`K`

# WAVES-TUTORIAL CLI

## abaqus

### rectangle_geometry.py

Create a simple rectangle geometry and write an `output_file`.cae Abaqus model file.

    usage: abaqus cae -noGui rectangle_geometry.py -- [-h]
                                                      [--output-file OUTPUT_FILE]
                                                      [--model-name MODEL_NAME]
                                                      [--part-name PART_NAME]
                                                      [--width WIDTH]
                                                      [--height HEIGHT]

#### Named Arguments

`--output-file`

  The output file for the Abaqus model. Will be stripped of the extension and `.cae` will be used, e.g. `output_file`.cae

  Default: `'rectangle_geometry'`

`--model-name`

  The name of the Abaqus model

  Default: `'rectangle'`

`--part-name`

  The name of the Abaqus part

  Default: `'rectangle'`

`--width`

  The rectangle width. Positive float.

  Default: `1.0`

`--height`

  The rectangle height. Positive float.

  Default: `1.0`

### rectangle_partition.py

Partition the simple rectangle geometry created by `rectangle_geometry.py` and write an `output_file`.cae Abaqus model file.

    usage: abaqus cae -noGui rectangle_partition.py -- [-h]
                                                       [--input-file INPUT_FILE]
                                                       [--output-file OUTPUT_FILE]
                                                       [--model-name MODEL_NAME]
                                                       [--part-name PART_NAME]
                                                       [--width WIDTH]
                                                       [--height HEIGHT]

#### Named Arguments

`--input-file`

  The Abaqus model file created by `rectangle_geometry.py`. Will be stripped of the extension and `.cae` will be used, e.g. `input_file`.cae

  Default: `'rectangle_geometry'`

`--output-file`

  The output file for the Abaqus model. Will be stripped of the extension and `.cae` will be used, e.g. `output_file`.cae

  Default: `'rectangle_partition'`

`--model-name`

  The name of the Abaqus model

  Default: `'rectangle'`

`--part-name`

  The name of the Abaqus part

  Default: `'rectangle'`

`--width`

  The rectangle width. Positive float.

  Default: `1.0`

`--height`

  The rectangle height. Positive float.

  Default: `1.0`

### rectangle_mesh.py

Mesh the simple rectangle geometry partitioned by `rectangle_partition.py` and write an `output_file`.cae Abaqus model file and `output_file`.inp orphan mesh file.

    usage: abaqus cae -noGui rectangle_mesh.py -- [-h] [--input-file INPUT_FILE]
                                                  [--output-file OUTPUT_FILE]
                                                  [--model-name MODEL_NAME]
                                                  [--part-name PART_NAME]
                                                  [--global-seed GLOBAL_SEED]

#### Named Arguments

`--input-file`

  The Abaqus model file created by `rectangle_partition.py`. Will be stripped of the extension and `.cae` will be used, e.g. `input_file`.cae

  Default: `'rectangle_partition'`

`--output-file`

  The output file for the Abaqus model. Will be stripped of the extension and `.cae` will be used, e.g. `output_file`.cae

  Default: `'rectangle_mesh'`

`--model-name`

  The name of the Abaqus model

  Default: `'rectangle'`

`--part-name`

  The name of the Abaqus part

  Default: `'rectangle'`

`--global-seed`

  The global mesh seed size. Positive float.

  Default: `1.0`

## cubit

### rectangle_geometry.py

Create a simple rectangle geometry and write an `output_file`.cub Cubit model file.

    usage: python rectangle_geometry.py  [-h] [--output-file OUTPUT_FILE]
                                         [--width WIDTH] [--height HEIGHT]

#### Named Arguments

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub (default: ‘rectangle_geometry.cub’

  Default: `'rectangle_geometry.cub'`

`--width`

  The rectangle width

  Default: `1.0`

`--height`

  The rectangle height

  Default: `1.0`

### rectangle_partition.py

Partition the simple rectangle geometry created by `rectangle_geometry.py` and write an `output_file`.cub Cubit model file.

    usage: python rectangle_partition.py  [-h] [--input-file INPUT_FILE]
                                          [--output-file OUTPUT_FILE]
                                          [--width WIDTH] [--height HEIGHT]

#### Named Arguments

`--input-file`

  The Cubit model file created by `rectangle_geometry.py`. Will be stripped of the extension and `.cub` will be used, e.g. `input_file`.cub (default: ‘rectangle_geometry.cub’

  Default: `'rectangle_geometry.cub'`

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub (default: ‘rectangle_partition.cub’

  Default: `'rectangle_partition.cub'`

`--width`

  The rectangle width

  Default: `1.0`

`--height`

  The rectangle height

  Default: `1.0`

### rectangle_mesh.py

Mesh the simple rectangle geometry partitioned by `rectangle_partition.py` and write an `output_file`.cub Cubit model file and `output_file`.inp orphan mesh file.

    usage: python rectangle_mesh.py  [-h] [--input-file INPUT_FILE]
                                     [--output-file OUTPUT_FILE]
                                     [--global-seed GLOBAL_SEED]
                                     [--element-type ELEMENT_TYPE]
                                     [--solver {abaqus,sierra,adagio}]

#### Named Arguments

`--input-file`

  The Cubit model file created by `rectangle_partition.py`. Will be stripped of the extension and `.cub` will be used, e.g. `input_file`.cub (default: ‘rectangle_partition.cub’

  Default: `'rectangle_partition.cub'`

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub

  Default: `'rectangle_mesh.cub'`

`--global-seed`

  The global mesh seed size (default: 1.0)

  Default: `1.0`

`--element-type`

  The model element type. Must be a supported Cubit 4 node element type. (default: ‘QUAD’)

  Default: `'QUAD'`

`--solver`

  Possible choices: abaqus, sierra, adagio

  The target solver for the mesh file. (default: ‘abaqus’)

  Default: `'abaqus'`

### cube_geometry.py

Create a simple cube geometry and write an `output_file`.cub Cubit model file.

    usage: python cube_geometry.py  [-h] [--output-file OUTPUT_FILE]
                                    [--width WIDTH] [--height HEIGHT]
                                    [--depth DEPTH]

#### Named Arguments

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub (default: ‘cube_geometry.cub’

  Default: `'cube_geometry.cub'`

`--width`

  The cube width (X-axis)

  Default: `1.0`

`--height`

  The cube height (Y-axis)

  Default: `1.0`

`--depth`

  The cube depth (Z-axis)

  Default: `1.0`

### cube_partition.py

Partition the simple cube geometry created by `cube_geometry.py` and write an `output_file`.cub Cubit model file.

    usage: python cube_partition.py  [-h] [--input-file INPUT_FILE]
                                     [--output-file OUTPUT_FILE]

#### Named Arguments

`--input-file`

  The Cubit model file created by `cube_geometry.py`. Will be stripped of the extension and `.cub` will be used, e.g. `input_file`.cub (default: ‘cube_geometry.cub’

  Default: `'cube_geometry.cub'`

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub (default: ‘cube_partition.cub’

  Default: `'cube_partition.cub'`

### cube_mesh.py

Mesh the simple cube geometry partitioned by `cube_partition.py` and write an `output_file`.cub Cubit model file and `output_file`.inp orphan mesh file.

    usage: python cube_mesh.py  [-h] [--input-file INPUT_FILE]
                                [--output-file OUTPUT_FILE]
                                [--global-seed GLOBAL_SEED]
                                [--element-type ELEMENT_TYPE]
                                [--solver {abaqus,sierra,adagio}]

#### Named Arguments

`--input-file`

  The Cubit model file created by `cube_partition.py`. Will be stripped of the extension and `.cub` will be used, e.g. `input_file`.cub (default: ‘cube_partition.cub’

  Default: `'cube_partition.cub'`

`--output-file`

  The output file for the Cubit model. Will be stripped of the extension and `.cub` will be used, e.g. `output_file`.cub

  Default: `'cube_mesh.cub'`

`--global-seed`

  The global mesh seed size (default: 1.0)

  Default: `1.0`

`--element-type`

  The model element type. Must be a supported Cubit 4 node element type. (default: ‘HEX’)

  Default: `'HEX'`

`--solver`

  Possible choices: abaqus, sierra, adagio

  The target solver for the mesh file. (default: ‘abaqus’)

  Default: `'abaqus'`

## python

### post_processing.py

Read Xarray Datasets and plot stress-strain comparisons as a function of parameter set name. Save to `output_file`.

    usage: python post_processing.py  [-h] -i INPUT_FILE [INPUT_FILE ...]
                                      --x-units X_UNITS --y-units Y_UNITS
                                      [-o OUTPUT_FILE] [-g GROUP_PATH] [-x X_VAR]
                                      [-y Y_VAR] [-s SELECTION_DICT]
                                      [-p PARAMETER_STUDY_FILE]

#### Named Arguments

`-o, --output-file`

  The output file for the stress-strain comparison plot with extension, e.g. `output_file.pdf`. Extension must be supported by matplotlib. File stem is also used for the CSV table output, e.g. `output_file.csv`. (default: ‘post_processing.pdf’)

  Default: `'post_processing.pdf'`

`-g, --group-path`

  The h5py group path to the dataset object (default: ‘RECTANGLE/FieldOutputs/ALL_ELEMENTS’)

  Default: `'RECTANGLE/FieldOutputs/ALL_ELEMENTS'`

`-x, --x-var`

  The independent (x-axis) variable name (default: ‘E’)

  Default: `'E'`

`-y, --y-var`

  The dependent (y-axis) variable name (default: ‘S’)

  Default: `'S'`

`-s, --selection-dict`

  The YAML formatted dictionary file to define the down selection of data to be plotted. Dictionary key: value pairs must match the data variables and coordinates of the expected Xarray Dataset object. If no file is provided, the a default selection dict will be used (default: {‘E values’: ‘E22’, ‘S values’: ‘S22’, ‘elements’: 1, ‘step’: ‘Step-1’, ‘integration point’: 0})

`-p, --parameter-study-file`

  An optional h5 file with a WAVES parameter study Xarray Dataset (default: None)

#### required named arguments

`-i, --input-file`

  The Xarray Dataset file(s)

`--x-units`

  The dependent (x-axis) units string.

`--y-units`

  The independent (y-axis) units string.

### regression.py

Compare CSV files and return an error code if they differ

    usage: python regression.py  [-h] [--output-file OUTPUT_FILE]
                                 FIRST_FILE SECOND_FILE

#### Positional Arguments

`FIRST_FILE`

  First CSV file for comparison

`SECOND_FILE`

  Second CSV file for comparison

#### Named Arguments

`--output-file`

  Regression test pass/fail list

  Default: `regression.yaml`

### solver.py

Dummy solver with file handling behavior similar to numeric solvers

    usage: sphinx-build [-h] [-V] {subcommand} ...

#### Named Arguments

`-V, --version`

  show program’s version number and exit

#### subcommands

`{subcommand}`

  Possible choices: implicit, explicit

#### Sub-commands

##### implicit

Execute the solver implicit routine

    sphinx-build implicit [-h] -i INPUT_FILE [-o OUTPUT_FILE] [-n SOLVE_CPUS]
                          [--overwrite]

###### Named Arguments

`-o, --output-file`

  The solver results file. Extension is always replaced with `.out`. If none is provided, uses the pattern `input_file.out`

`-n, --solve-cpus`

  The number of threads to use (default: 1)

  Default: `1`

`--overwrite`

  Overwrite existing output files (default: False)

  Default: `False`

###### required named arguments

`-i, --input-file`

  The solver input file, e.g. `input_file.yaml`

##### explicit

Execute the solver explicit routine

    sphinx-build explicit [-h] -i INPUT_FILE [-o OUTPUT_FILE] [-n SOLVE_CPUS]
                          [--overwrite]

###### Named Arguments

`-o, --output-file`

  The solver results file. Extension is always replaced with `.out`. If none is provided, uses the pattern `input_file.out`

`-n, --solve-cpus`

  The number of threads to use (default: 1)

  Default: `1`

`--overwrite`

  Overwrite existing output files (default: False)

  Default: `False`

###### required named arguments

`-i, --input-file`

  The solver input file, e.g. `input_file.yaml`